# SPDX-FileCopyrightText: Emery Hemingway
#
# SPDX-License-Identifier: LicenseRef-Hippocratic-1.1

let
  tests = call: {
    fs_report = call ./fs_report.nix { };
    libc = call ./libc.nix { };
    log = call ./log.nix { };
    signal = call ./signal.nix { };
  };
in { pkgs ? (import ./.. { }) }:

let

  lib = pkgs.buildPackages.pkgs.lib // {

    renderDhallInit = path: args:
      pkgs.buildPackages.runCommand "init.xml" {
        buildInputs = with pkgs.buildPackages; [ linux-dhall ];
        initConfig = path;
        initArgs = args;
        DHALL_PRELUDE = "${pkgs.dhallPackages.prelude}/package.dhall";
        DHALL_GENODE = "${pkgs.dhallPackages.genode}/package.dhall";
      } ''
        set -v
        echo 'let Prelude = env:DHALL_GENODE in Prelude.Init.render (Prelude.Init.defaults ⫽ { children =  toMap (env:initConfig env:initArgs) })' \
          | dhall text \
          > $out
      '';

  };

in {
  linux = tests (import ./driver-linux.nix { inherit pkgs lib; }).callTest;
}
