{ pkgs, lib }:
with pkgs;

rec {
  name = "libc";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig =  lib.renderDhallInit ./libc.dhall "{=}";

  testScript = ''
    file link -s libc.lib.so ${depot.libc}/lib/libc.lib.so
    file link -s libm.lib.so ${depot.libc}/lib/libm.lib.so
    file link -s posix.lib.so ${depot.posix}/lib/posix.lib.so
    file link -s vfs.lib.so ${depot.vfs}/lib/vfs.lib.so
    file link -s test-libc ${depot.test-libc}/bin/test-libc
    run_genode_until "child .* exited with exit value 0.*\n" 30
  '';
}
